# Dziurkacz

Zestaw narzędzi pomagający wyciąć z pliku wideo te same fragmenty, które zostały wycięte z pliku audio.

## Wyamgania

- ffmpeg,
- Audacity,
- zx (https://github.com/google/zx)

## Instalacja

### Macro do Audacity

1. W Audacity utwórz makro z jednym krokiem.

2. Ustaw typ kroku: Nyquist Prompt

3. Kliknij `Edit`

4. Wklej do okienka dialogowego zawartość pliku `macro.ny` z niniejszego repozytorium

Następnie przypisz to makro do skrótu klawiaturowego (np. ctrl+d).

Odpalenie tego makro usunie zaznaczony fragment ścieżki i zapisze w labelce informacje o długości usuniętego fragmentu i jego pozycji w ścieżce

## Używanie

1. Otwórz plik dźwiękowy z video w Audacity i usuwaj fragmenty za pomocą makra opisanego powyżej.

2. Wyeksportuj wszystkie labelki do pliku tekstowego (export -> labels)

3. Uruchom `zx --quiet dziurkacz.mjs /ścieżka/do/pliku/video.mp4 /ścieżka/do/pliku/z/wyeskportowanymi/labelkami.txt`

Plik wynikowy znajdziesz w /tmp/dziurkacz/working.mp4
